Log in
|
How to Buy
|
Contact Us
|
United States (Change)

## Choose Country

### North America

- United States

### Europe

- Deutschland - Germany
- España - Spain
- France
- Italia - Italy
- Россия - Russia
- United Kingdom

### Asia Pacific

- Asean Region (Vietnam, Indonesia, Singapore, Malaysia)
- Australia
- 中国 - China
- India
- 日本 - Japan
- 대한민국 - Korea
- 台灣 - Taiwan

Remember my choice

# Technical Documentation

Download Software
Research a Problem
Case Management
Contract & Product Management
Technical Documentation
Documentation Archive
Enterprise MIBs
File Format Help
Glossary
Portable Libraries
End-of-Life Products
Contact Support
Guidelines and Policies
Security Resources
Rate and give feedback: Feedback Received. Thank You!
Rate and give feedback:
This document helped resolve my issue. Yes No

Additional Comments

800 characters remaining

May we contact you if necessary?

Name:
E-mail:

# ping

#### Syntax

ping [ vrf vrfName ] [ ip ] destination [ packetCount ] [ timeout timeOutVal ]
[ transmit-delay delayVal ] [ ttl ttlValue ] [ data-size dataSize ]
[ data-pattern { ones | zeros | random | hex-data hexData } ]
[ source { interface interfaceType interfaceSpecifier | address sourceAddr } ]
[ sweep-sizes sweepMin sweepMax [ sweep-interval sweepInt ] ]
[ extended [ tos tosVal ] [ set-dont-fragment-bit ] [ set-router-alert ]
[ { loose-source-route | strict-source-route } [ srtAddrs ]* ]
[ record-route numRoutes ] [ timestamp numTstamps ]
[ interface interfaceType Interfacespecifier ] ]

ping ipv6 [ vrf vrfName ] destination [ packetCount ] [ timeout timeOutVal ]
[ transmit-delay delayVal ] [ hop-limit hopLimit ] [ data-size dataSize ]
[ data-pattern { ones | zeros | random | hex-data hexData } ]
[ source { interface interfaceType interfaceSpecifier | address sourceAddr } ]
[ sweep-sizes sweepMin sweepMax [ sweep-interval sweepInt ] ]
[extended [ dscp trafficClass ] [ flow-label flowLabel ] ]

#### Release Information

Command introduced before JunosE Release 7.1.0.
vrf keyword and vrfName variable added to IPv6 version in JunosE Release 7.2.0.

#### Description

Sends an ICMP echo request packet to the IP or IPv6 address that you specify. There is no no version.

#### Options

- vrfName—Name of the VRF context
- ip—Specifies optional keyword for compatibility with non–E Series implementations
- ipv6—Specifies the destination address as IPv6 format
- destination—IP address, IPv6 address, or domain name of the host to ping
- packetCount—Number of packets to send to the destination IP address, in the range 0–4294967295; default value is 5; 0 means ping forever
- timeOutVal—Number of seconds, in the range 1–20, to wait for an ICMP echo reply packet before the connection attempt times out
- delayVal—Number of milliseconds, in the range 1–50, between transmission of each ICMP request; default value is 10 ms
- hopLimit—Specifies a hop limit, in the range 1–255; default value is 255
- ttlValue—Specifies a hop count by setting the time-to-live field in the IP header in the range 1–255; default value is 32
- dataSize—Number of bytes comprising the IP packet and reflected in the IP header, in the range 0–64000; default value is 100 bytes
- data-pattern—Type of bits contained in the packet. You can set the bits to all ones, all zeros, a random mixture of ones and zeros, or a specific hexadecimal data pattern that can range from 0x0 – 0xFFFFFFFF. The default data pattern is all zeros.
- source interface—Specifies an interface as the source of the packets
  - interfaceType—Interface type; see Interface Types and Specifiers
  - interfaceSpecifier—Particular interface; format varies according to interface type; see Interface Types and Specifiers
- source address—Specifies an IP address as the source of the packets
  - sourceAddr—IP address or domain name used as the source address
- sweep-sizes—Configures payload sizes, enabling you to vary the sizes of the echo packets being sent. This capability is useful for determining the minimum sizes of the MTUs configured on the nodes along the path to the destination address. This reduces packet fragmentation which contributes to performance problems. The default is not to sweep (all packets are the same size).
  - sweepMin—Minimum payload size in the range 0–64000
  - sweepMax—Maximum payload size in the range 0–64000
  - sweepInt—Number of bytes to add to the size of the packet; the change in the size of subsequent ping packets while sweeping across a range of sizes. For example, you can configure the sweep interval to sweep across the range of packets from 100 bytes to 1000 bytes in increments of sweepInt. By default, send 100, 101, 102, 103...1000. If sweepInt is 5, send 100, 105, 110, 115...1000). When “ sweeping,” the default interval is 1.
- extended—Enables you to configure extended header attributes
  - tosVal—Specifies the value set in the ToS byte in the range 0–255 to support QoS offerings
  - set-dont-fragment-bit—Sets the don’t-fragment bit in the IP header to prevent IP from fragmenting the packet if it is too long for the MTU of a link; if the nonfragmented packet cannot be delivered, it is discarded
  - set-router-alert—Sets the router alert bit in the IP header to indicate that all routers should examine this packet more closely to determine whether further processing is necessary
  - loose-source-route—Specifies a set of hops through which the packet must traverse; the hops do not have to be adjacent
  - strict-source-route—Specifies every hop through which the packet must traverse and generates an ICMP error if the exact path cannot be followed
  - srtAddrs—IP addresses or domain name of the intermediate hops on the way to the destination to be used in the loose-source or strict-source route
  - *—Indicates that one or more parameters can be repeated multiple times in a list in the command line
  - numRoutes—Specifies how many routes are to be recorded as the packet travels, in the range 1–9
  - numTstamps—Specifies how many timestamps from routers are to be recorded as the packet travels, in the range 1–9
  - interfaceType—Interface type of a destination address on the router that is connected for external loopback by means of a cable or plug that loops Tx to Rx. The command succeeds only if the specified interface is connected for external loopback and the encapsulation type is ATM, Frame Relay, HDLC, or PPP. The command does not work for Ethernet or VLAN encapsulations.See Interface Types and Specifiers
  - interfaceSpecifier—Particular interface of a destination address on the router that is connected for external loopback by means of a cable or plug that loops Tx to Rx. The command succeeds only if the specified interface is connected for external loopback and the encapsulation type is ATM, Frame Relay, HDLC, or PPP. The command does not work for Ethernet or VLAN encapsulations.Format varies according to interface type; see Interface Types and Specifiers
  - trafficClass—Specifies the traffic class value to match in the Traffic Class field of each IPv6 packet header, in the range 1 to 255
  - flowLabel—Specifies the flow label value to match in the Flow Label field of each IPv6 packet header, in the range 1 to 1048576

#### Mode

Privileged Exec, User Exec

#### Published: 2011-04-01

Site Map / RSS Feeds / Careers / Accessibility / Feedback / Privacy & Policy / Legal Notices
Copyright© 1999-2011 Juniper Networks, Inc. All rights reserved.
Help
|
My Account
|
Log Out